[**@notabene/javascript-sdk**](../../README.md)

***

[@notabene/javascript-sdk](../../modules.md) / [types](../README.md) / CMType

# Enumeration: CMType

Component Message Type enum representing different message types that can be sent
between the host and component.

## Remarks

- COMPLETE: Indicates a completed operation with response data
- RESIZE: Request to adjust component size/dimensions
- RESULT: Operation result notification
- READY: Component is initialized and ready
- INVALID: Validation failed with errors
- ERROR: Operation encountered an error
- CANCEL: Operation was cancelled

## Enumeration Members

### CANCEL

> **CANCEL**: `"cancel"`

#### Defined in

[types.ts:853](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/69cd8d08514af027712db73539fbd0247649c123/src/types.ts#L853)

***

### COMPLETE

> **COMPLETE**: `"complete"`

#### Defined in

[types.ts:847](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/69cd8d08514af027712db73539fbd0247649c123/src/types.ts#L847)

***

### ERROR

> **ERROR**: `"error"`

#### Defined in

[types.ts:852](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/69cd8d08514af027712db73539fbd0247649c123/src/types.ts#L852)

***

### INVALID

> **INVALID**: `"invalid"`

#### Defined in

[types.ts:851](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/69cd8d08514af027712db73539fbd0247649c123/src/types.ts#L851)

***

### READY

> **READY**: `"ready"`

#### Defined in

[types.ts:850](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/69cd8d08514af027712db73539fbd0247649c123/src/types.ts#L850)

***

### RESIZE

> **RESIZE**: `"resize"`

#### Defined in

[types.ts:848](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/69cd8d08514af027712db73539fbd0247649c123/src/types.ts#L848)

***

### RESULT

> **RESULT**: `"result"`

#### Defined in

[types.ts:849](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/69cd8d08514af027712db73539fbd0247649c123/src/types.ts#L849)
