[**@notabene/javascript-sdk**](../../README.md)

***

[@notabene/javascript-sdk](../../modules.md) / [types](../README.md) / Deposit

# Interface: Deposit

An object representing a deposit transaction

## Extends

- `OriginatorFields`.[`DepositTransaction`](DepositTransaction.md).[`Refreshable`](Refreshable.md)

## Properties

### agent

> **agent**: [`Agent`](Agent.md)

#### Inherited from

[`DepositTransaction`](DepositTransaction.md).[`agent`](DepositTransaction.md#agent)

#### Defined in

[types.ts:551](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/69cd8d08514af027712db73539fbd0247649c123/src/types.ts#L551)

***

### amountDecimal

> **amountDecimal**: `number`

#### Inherited from

[`DepositTransaction`](DepositTransaction.md).[`amountDecimal`](DepositTransaction.md#amountdecimal)

#### Defined in

[types.ts:554](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/69cd8d08514af027712db73539fbd0247649c123/src/types.ts#L554)

***

### asset

> **asset**: `string`

#### Inherited from

[`DepositTransaction`](DepositTransaction.md).[`asset`](DepositTransaction.md#asset)

#### Defined in

[types.ts:553](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/69cd8d08514af027712db73539fbd0247649c123/src/types.ts#L553)

***

### assetPrice?

> `optional` **assetPrice**: `object`

#### currency

> **currency**: `string`

#### price

> **price**: `number`

#### Inherited from

[`DepositTransaction`](DepositTransaction.md).[`assetPrice`](DepositTransaction.md#assetprice)

#### Defined in

[types.ts:556](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/69cd8d08514af027712db73539fbd0247649c123/src/types.ts#L556)

***

### counterparty

> **counterparty**: [`Counterparty`](Counterparty.md)

#### Inherited from

[`DepositTransaction`](DepositTransaction.md).[`counterparty`](DepositTransaction.md#counterparty)

#### Defined in

[types.ts:552](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/69cd8d08514af027712db73539fbd0247649c123/src/types.ts#L552)

***

### customer?

> `optional` **customer**: [`Counterparty`](Counterparty.md)

#### Inherited from

[`DepositTransaction`](DepositTransaction.md).[`customer`](DepositTransaction.md#customer)

#### Defined in

[types.ts:524](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/69cd8d08514af027712db73539fbd0247649c123/src/types.ts#L524)

***

### proof?

> `optional` **proof**: [`OwnershipProof`](OwnershipProof.md)

#### Inherited from

[`DepositTransaction`](DepositTransaction.md).[`proof`](DepositTransaction.md#proof)

#### Defined in

[types.ts:555](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/69cd8d08514af027712db73539fbd0247649c123/src/types.ts#L555)

***

### refreshSource?

> `optional` **refreshSource**: [`RefreshSource`](RefreshSource.md)

#### Inherited from

[`Refreshable`](Refreshable.md).[`refreshSource`](Refreshable.md#refreshsource)

#### Defined in

[types.ts:568](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/69cd8d08514af027712db73539fbd0247649c123/src/types.ts#L568)

***

### requestId?

> `optional` **requestId**: `string`

#### Inherited from

[`DepositTransaction`](DepositTransaction.md).[`requestId`](DepositTransaction.md#requestid)

#### Defined in

[types.ts:523](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/69cd8d08514af027712db73539fbd0247649c123/src/types.ts#L523)

***

### source?

> `optional` **source**: `string`

#### Inherited from

`OriginatorFields.source`

#### Defined in

[types.ts:481](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/69cd8d08514af027712db73539fbd0247649c123/src/types.ts#L481)

***

### transactionId?

> `optional` **transactionId**: `string`

#### Inherited from

[`DepositTransaction`](DepositTransaction.md).[`transactionId`](DepositTransaction.md#transactionid)

#### Defined in

[types.ts:576](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/69cd8d08514af027712db73539fbd0247649c123/src/types.ts#L576)
