[**@notabene/javascript-sdk**](../../README.md)

***

[@notabene/javascript-sdk](../../modules.md) / [types](../README.md) / TransactionResponse

# Interface: TransactionResponse\<V\>

Response interface for transaction-related operations

## Remarks

Extends ComponentResponse to add transaction-specific response data:
- value: The resulting transaction value of generic type V
- ivms101: IVMS 101 travel rule data for the transaction
- proof: Optional ownership proof details if required
- txCreate: Optional V1 transaction payload for legacy API compatibility
- txUpdate: Optional V1 transaction payload for legacy API compatibility

## See

 - [ComponentResponse](ComponentResponse.md) For base response properties
 - [IVMS101](../../ivms/types/type-aliases/IVMS101.md) For travel rule data structure
 - [OwnershipProof](OwnershipProof.md) For proof details
 - [V1Transaction](../type-aliases/V1Transaction.md) For legacy transaction format

## Extends

- [`ComponentResponse`](ComponentResponse.md)

## Type Parameters

• **V**

Type of the transaction value being returned

## Properties

### errors

> **errors**: [`ValidationError`](../type-aliases/ValidationError.md)[]

#### Inherited from

[`ComponentResponse`](ComponentResponse.md).[`errors`](ComponentResponse.md#errors)

#### Defined in

[types.ts:699](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/69cd8d08514af027712db73539fbd0247649c123/src/types.ts#L699)

***

### ivms101

> **ivms101**: [`IVMS101`](../../ivms/types/type-aliases/IVMS101.md)

#### Defined in

[types.ts:723](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/69cd8d08514af027712db73539fbd0247649c123/src/types.ts#L723)

***

### proof?

> `optional` **proof**: [`OwnershipProof`](OwnershipProof.md)

#### Defined in

[types.ts:724](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/69cd8d08514af027712db73539fbd0247649c123/src/types.ts#L724)

***

### requestID

> **requestID**: `string`

#### Inherited from

[`ComponentResponse`](ComponentResponse.md).[`requestID`](ComponentResponse.md#requestid)

#### Defined in

[types.ts:696](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/69cd8d08514af027712db73539fbd0247649c123/src/types.ts#L696)

***

### status

> **status**: [`Status`](../enumerations/Status.md)

#### Inherited from

[`ComponentResponse`](ComponentResponse.md).[`status`](ComponentResponse.md#status)

#### Defined in

[types.ts:698](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/69cd8d08514af027712db73539fbd0247649c123/src/types.ts#L698)

***

### txCreate?

> `optional` **txCreate**: [`V1Transaction`](../type-aliases/V1Transaction.md)

#### Defined in

[types.ts:725](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/69cd8d08514af027712db73539fbd0247649c123/src/types.ts#L725)

***

### txUpdate?

> `optional` **txUpdate**: [`V1Transaction`](../type-aliases/V1Transaction.md)

#### Defined in

[types.ts:726](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/69cd8d08514af027712db73539fbd0247649c123/src/types.ts#L726)

***

### valid

> **valid**: `boolean`

#### Inherited from

[`ComponentResponse`](ComponentResponse.md).[`valid`](ComponentResponse.md#valid)

#### Defined in

[types.ts:697](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/69cd8d08514af027712db73539fbd0247649c123/src/types.ts#L697)

***

### value

> **value**: `V`

#### Defined in

[types.ts:722](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/69cd8d08514af027712db73539fbd0247649c123/src/types.ts#L722)
