[**@notabene/javascript-sdk**](../../README.md)

***

[@notabene/javascript-sdk](../../modules.md) / [types](../README.md) / Wallet

# Interface: Wallet

A wallet agent acting on behalf of the counterparty

## Extends

- [`Agent`](Agent.md)

## Properties

### did

> **did**: \`did:$\{string\}:$\{string\}\`

#### Inherited from

[`Agent`](Agent.md).[`did`](Agent.md#did)

#### Defined in

[types.ts:260](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/69cd8d08514af027712db73539fbd0247649c123/src/types.ts#L260)

***

### logo?

> `optional` **logo**: `string`

#### Inherited from

[`Agent`](Agent.md).[`logo`](Agent.md#logo)

#### Defined in

[types.ts:262](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/69cd8d08514af027712db73539fbd0247649c123/src/types.ts#L262)

***

### name?

> `optional` **name**: `string`

#### Inherited from

[`Agent`](Agent.md).[`name`](Agent.md#name)

#### Defined in

[types.ts:264](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/69cd8d08514af027712db73539fbd0247649c123/src/types.ts#L264)

***

### proof

> **proof**: [`OwnershipProof`](OwnershipProof.md)

#### Defined in

[types.ts:311](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/69cd8d08514af027712db73539fbd0247649c123/src/types.ts#L311)

***

### type

> **type**: [`AgentType`](../enumerations/AgentType.md)

#### Inherited from

[`Agent`](Agent.md).[`type`](Agent.md#type)

#### Defined in

[types.ts:261](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/69cd8d08514af027712db73539fbd0247649c123/src/types.ts#L261)

***

### url?

> `optional` **url**: `string`

#### Inherited from

[`Agent`](Agent.md).[`url`](Agent.md#url)

#### Defined in

[types.ts:263](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/69cd8d08514af027712db73539fbd0247649c123/src/types.ts#L263)

***

### verified?

> `optional` **verified**: `boolean`

#### Inherited from

[`Agent`](Agent.md).[`verified`](Agent.md#verified)

#### Defined in

[types.ts:265](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/69cd8d08514af027712db73539fbd0247649c123/src/types.ts#L265)

***

### wallet\_connect\_id?

> `optional` **wallet\_connect\_id**: `string`

#### Defined in

[types.ts:312](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/69cd8d08514af027712db73539fbd0247649c123/src/types.ts#L312)
