[**@notabene/javascript-sdk**](../../README.md)

***

[@notabene/javascript-sdk](../../modules.md) / [types](../README.md) / Withdrawal

# Interface: Withdrawal

An object representing a withdrawal transaction

## Extends

- `BeneficiaryFields`.[`Transaction`](Transaction.md).[`Refreshable`](Refreshable.md)

## Properties

### agent

> **agent**: [`Agent`](Agent.md)

#### Inherited from

[`Transaction`](Transaction.md).[`agent`](Transaction.md#agent)

#### Defined in

[types.ts:551](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/69cd8d08514af027712db73539fbd0247649c123/src/types.ts#L551)

***

### amountDecimal

> **amountDecimal**: `number`

#### Inherited from

[`Transaction`](Transaction.md).[`amountDecimal`](Transaction.md#amountdecimal)

#### Defined in

[types.ts:554](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/69cd8d08514af027712db73539fbd0247649c123/src/types.ts#L554)

***

### asset

> **asset**: `string`

#### Inherited from

[`Transaction`](Transaction.md).[`asset`](Transaction.md#asset)

#### Defined in

[types.ts:553](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/69cd8d08514af027712db73539fbd0247649c123/src/types.ts#L553)

***

### assetPrice?

> `optional` **assetPrice**: `object`

#### currency

> **currency**: `string`

#### price

> **price**: `number`

#### Inherited from

[`Transaction`](Transaction.md).[`assetPrice`](Transaction.md#assetprice)

#### Defined in

[types.ts:556](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/69cd8d08514af027712db73539fbd0247649c123/src/types.ts#L556)

***

### counterparty

> **counterparty**: [`Counterparty`](Counterparty.md)

#### Inherited from

[`Transaction`](Transaction.md).[`counterparty`](Transaction.md#counterparty)

#### Defined in

[types.ts:552](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/69cd8d08514af027712db73539fbd0247649c123/src/types.ts#L552)

***

### customer?

> `optional` **customer**: [`Counterparty`](Counterparty.md)

#### Inherited from

[`Transaction`](Transaction.md).[`customer`](Transaction.md#customer)

#### Defined in

[types.ts:524](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/69cd8d08514af027712db73539fbd0247649c123/src/types.ts#L524)

***

### destination?

> `optional` **destination**: `string`

#### Inherited from

`BeneficiaryFields.destination`

#### Defined in

[types.ts:489](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/69cd8d08514af027712db73539fbd0247649c123/src/types.ts#L489)

***

### proof?

> `optional` **proof**: [`OwnershipProof`](OwnershipProof.md)

#### Inherited from

[`Transaction`](Transaction.md).[`proof`](Transaction.md#proof)

#### Defined in

[types.ts:555](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/69cd8d08514af027712db73539fbd0247649c123/src/types.ts#L555)

***

### refreshSource?

> `optional` **refreshSource**: [`RefreshSource`](RefreshSource.md)

#### Inherited from

[`Refreshable`](Refreshable.md).[`refreshSource`](Refreshable.md#refreshsource)

#### Defined in

[types.ts:568](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/69cd8d08514af027712db73539fbd0247649c123/src/types.ts#L568)

***

### requestId?

> `optional` **requestId**: `string`

#### Inherited from

[`Transaction`](Transaction.md).[`requestId`](Transaction.md#requestid)

#### Defined in

[types.ts:523](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/69cd8d08514af027712db73539fbd0247649c123/src/types.ts#L523)
