[**@notabene/javascript-sdk**](../../README.md)

***

[@notabene/javascript-sdk](../../modules.md) / [types](../README.md) / DTI

# Type Alias: DTI

> **DTI**: `string`

Digital Token Identifier (DTI) following ISO 24165 standard

## Remarks

A standardized identifier for digital assets and cryptocurrencies. The DTI system
provides unique and unambiguous identification of digital tokens, supporting interoperability
and clarity in financial markets.

Format: `DTI[NNNNN]` where N is a digit

## Examples

```ts
"DTI00001" // Example DTI for Bitcoin
```

```ts
"DTI00002" // Example DTI for Ethereum
```

## See

 - [Digital Token Identifier Foundation](https://dtif.org/)
 - [ISO 24165](https://www.iso.org/standard/77895.html)

## Defined in

[types.ts:118](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/69cd8d08514af027712db73539fbd0247649c123/src/types.ts#L118)
